> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/get-payout-by-id.md).

# Get Payout by ID

API to retrieve a payout by its ID.

| Environment | Method | URL Path                          | Version |
| ----------- | ------ | --------------------------------- | ------- |
| Development | GET    | https\://... /payout/{payout\_id} | V 1.0.0 |
| Production  | GET    | https\://... /payout/{payout\_id} | V 1.0.0 |

## Request

### Request headers

<table><thead><tr><th width="71" data-type="number">No</th><th width="133">Name</th><th width="87.666748046875">Type</th><th>Mandatory</th><th width="333.3333740234375">Description</th></tr></thead><tbody><tr><td>1</td><td>Authorization</td><td>String</td><td>M</td><td><p>Basic Authentication header.</p><p>Example value: <code>Basic dW5kZWZpbmVkOnBhc3N3b3Jk</code></p></td></tr><tr><td>2</td><td>accept</td><td>String</td><td>M</td><td>application/json</td></tr><tr><td>3</td><td>for-user-id</td><td>String</td><td>M</td><td>Subaccount user ID that this request is for</td></tr></tbody></table>

### Request body

<table data-full-width="false"><thead><tr><th width="69">No</th><th>Name</th><th>Type</th><th>Mandatory</th><th>Min Length</th><th>Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>payout_id</td><td>string</td><td>M</td><td></td><td>29</td><td>Unique payout ID from the system</td></tr></tbody></table>

### Sample request

```
curl --request GET \
  --url 'https://api.finpay.id/payout/disb-571f3644d2b4edf0745e9703' \
  --header 'accept: application/json' \
  --header 'authorization: Basic YXNkYXNkOnBhc3N3b3Jk' \
  --header 'for-user-id: 692e8e678ed4264955161b61'
```

## Response

### Response body

<table data-full-width="false"><thead><tr><th width="68">No</th><th width="198.66668701171875">Name</th><th width="97.3333740234375">Type</th><th width="123.33349609375">Mandatory</th><th width="98.6666259765625">Min Length</th><th width="106.333251953125">Max Length</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>id</td><td>String</td><td>M</td><td></td><td></td><td>Unique identifier of the payout transaction (generated by the system).</td></tr><tr><td>2</td><td>amount</td><td>Number</td><td>M</td><td></td><td></td><td>Amount being transferred.</td></tr><tr><td>3</td><td>channel_code</td><td>String</td><td>M</td><td></td><td></td><td>Destination bank or e-wallet code (example: ID_BCA).</td></tr><tr><td>4</td><td>currency</td><td>String</td><td>M</td><td></td><td></td><td>Currency code in ISO 4217 format (example: IDR).</td></tr><tr><td>5</td><td>status</td><td>String</td><td>M</td><td></td><td></td><td>Current transaction status (example: ACCEPTED, SUCCEEDED).</td></tr><tr><td>6</td><td>description</td><td>String</td><td>O</td><td></td><td></td><td>Additional payout note/description.</td></tr><tr><td>7</td><td>reference_id</td><td>String</td><td>M</td><td></td><td></td><td>Merchant unique reference ID used for reconciliation.</td></tr><tr><td>8</td><td>created</td><td>String</td><td>M</td><td></td><td></td><td>Request creation timestamp (ISO 8601).</td></tr><tr><td>9</td><td>updated</td><td>String</td><td>M</td><td></td><td></td><td>Last status update timestamp (ISO 8601).</td></tr><tr><td>10</td><td>estimated_arrival_time</td><td>String</td><td>O</td><td></td><td></td><td>Estimated time the funds will arrive (ISO 8601).</td></tr><tr><td>11</td><td>business_id</td><td>String</td><td>M</td><td></td><td></td><td>Merchant business ID (account owner).</td></tr><tr><td>12</td><td>channel_properties</td><td>Object</td><td>M</td><td></td><td></td><td>Object containing destination account details.</td></tr><tr><td>13</td><td>channel_properties.account_number</td><td>String</td><td>M</td><td></td><td></td><td>Destination account number.</td></tr><tr><td>14</td><td>channel_properties.account_holder_name</td><td>String</td><td>O</td><td></td><td></td><td>Destination account holder name (as per bank records).</td></tr></tbody></table>

### Sample response

```
{ 
  "id": "disb-571f3644d2b4edf0745e9703", 
  "amount": 10000, 
  "channel_code": "ID_BCA", 
  "currency": "IDR", 
  "status": "ACCEPTED", 
  "description": "July payout", 
  "reference_id": "myref-1482928194", 
  "created": "2024-12-31T23:53:59Z", 
  "updated": "2024-12-31T23:53:59Z", 
  "estimated_arrival_time": "2024-12-31T23:59:59Z", 
  "business_id": "6018306aa16ad90cb3c43ba7", 
  "channel_properties": { 
    "account_number": "000000000099", 
    "account_holder_name": "Michael Chen" 
  } 
} 
```

### Sample response (error)

```
{ 
    "error_code": "DATA_NOT_FOUND", 
    "message": "Could not find payout with the corresponding ID. Please try again with a valid Id"
} 
```

### Response Code

<table><thead><tr><th width="88">No</th><th width="164">Response Code</th><th>Response Code Description</th><th>Description</th></tr></thead><tbody><tr><td>1</td><td>401</td><td>INVALID_API_KEY</td><td>API key format is invalid</td></tr><tr><td>2</td><td>404</td><td>DATA_NOT_FOUND</td><td>Could not find payout with the corresponding ID. Please try again with a valid Id</td></tr><tr><td>3</td><td>500</td><td>SERVER_ERROR</td><td>Error connecting to our server. Retry safely using Idempotency-key header when available</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-wallet-as-a-service/core-api/get-payout-by-id.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
